public static interface JettyHttpEndpointBuilderFactory.JettyHttpBuilders
| Modifier and Type | Method and Description |
|---|---|
default JettyHttpEndpointBuilderFactory.JettyHttpEndpointBuilder |
jetty(String path)
Jetty (camel-jetty)
Expose HTTP endpoints using Jetty 9.
|
default JettyHttpEndpointBuilderFactory.JettyHttpEndpointBuilder |
jetty(String componentName,
String path)
Jetty (camel-jetty)
Expose HTTP endpoints using Jetty 9.
|
default JettyHttpEndpointBuilderFactory.JettyHttpEndpointBuilder jetty(String path)
jetty:httpUri
Path parameter: httpUri (required)
The url of the HTTP endpoint to call.path - httpUridefault JettyHttpEndpointBuilderFactory.JettyHttpEndpointBuilder jetty(String componentName, String path)
jetty:httpUri
Path parameter: httpUri (required)
The url of the HTTP endpoint to call.componentName - to use a custom component name for the endpoint
instead of the default namepath - httpUriApache Camel